# Class ExternalHyperlink

#### Hierarchy

- ExternalHyperlink

- Defined in src/file/paragraph/links/hyperlink.ts:41

#####
Index

### Constructors

constructor

### Properties

options

## Constructors

### constructor

- new ExternalHyperlink(options: { children: ParagraphChild[]; link: string }): ExternalHyperlink

- #### Parameters

  - ##### options: { children: ParagraphChild[]; link: string }

    - ##### `Readonly` children: ParagraphChild[]

    - ##### `Readonly` link: string

  #### Returns ExternalHyperlink

  - Defined in src/file/paragraph/links/hyperlink.ts:42

## Properties

### `Readonly` options

options: { children: ParagraphChild[]; link: string }

#### Type declaration

- ##### `Readonly` children: ParagraphChild[]

- ##### `Readonly` link: string

- Defined in src/file/paragraph/links/hyperlink.ts:42

Generated using TypeDoc